Bug 215908 - [NEW PORT] multimedia/aravis: glib/gobject based viewer for video acquisition using Genicam cameras
Summary: [NEW PORT] multimedia/aravis: glib/gobject based viewer for video acquisition...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 219410 226367 228190
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-09 14:25 UTC by rozhuk.im
Modified: 2018-05-12 10:06 UTC (History)
4 users (show)

See Also:


Attachments
aravis viewer (3.02 KB, patch)
2017-01-09 14:25 UTC, rozhuk.im
no flags Details | Diff
update to 0.5.8 (3.02 KB, patch)
2017-04-14 02:02 UTC, rozhuk.im
no flags Details | Diff
aravis 0.5.8 (3.02 KB, patch)
2017-05-09 15:32 UTC, rozhuk.im
no flags Details | Diff
aravis 0.5.8 (3.99 KB, patch)
2017-05-17 22:37 UTC, rozhuk.im
no flags Details | Diff
update to 0.5.9 (3.99 KB, patch)
2017-05-20 00:20 UTC, rozhuk.im
no flags Details | Diff
tested-version (4.18 KB, text/plain)
2017-08-22 20:40 UTC, Kurt Jaeger
no flags Details
update to 0.5.11 (3.99 KB, patch)
2018-03-05 14:46 UTC, rozhuk.im
no flags Details | Diff
update to 0.5.12 (3.99 KB, patch)
2018-05-12 06:46 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2017-01-09 14:25:56 UTC
Created attachment 178667 [details]
aravis viewer

Aravis is a glib/gobject based viewer for video
acquisition using Genicam cameras.
It currently implements the gigabit ethernet and
USB3 (Since Aravis 0.5.x) protocols used by industrial
cameras. It also provides a basic ethernet camera
simulator and a simple video viewer.


WWW: https://github.com/AravisProject/aravis
Comment 1 Olivier Duchateau freebsd_committer 2017-01-18 21:00:58 UTC
(In reply to rozhuk.im from comment #0)

Out of curiosity, I wonder why you don't use tarball available in GNOME mirrors? I think it's more simple (no GitHub host, neither autotools).

Furthemore, why disable GStreamer 1.0 plugin? (0.10 API is not anymore maintained, but 1.0 is good enough).
Comment 2 rozhuk.im 2017-01-19 09:18:35 UTC
github is simple for me.
I think GStreamer plugin should be in separate port, and I can make it, but cant test.
Comment 3 rozhuk.im 2017-04-14 02:02:36 UTC
Created attachment 181774 [details]
update to 0.5.8
Comment 4 Kurt Jaeger freebsd_committer 2017-04-17 10:35:33 UTC
It needs quite a bit of gnome related additional stuff, btw. Testbuilding@work
Comment 5 Kurt Jaeger freebsd_committer 2017-04-17 10:51:55 UTC
There's a collission in the pkg-plist between libaravis and aravis:

While building/installing aravis, this comes up:

[cur-default] Installing aravis-0.5.8...
pkg-static: aravis-0.5.8 conflicts with libaravis-0.5.8 (installs files into the same place).  Problematic file: /usr/local/libdata/pkgconfig/aravis-0.6.pc
*** Error code 70
Comment 6 Kurt Jaeger freebsd_committer 2017-04-17 13:40:08 UTC
The same happens for the DOCS:

pkg-static: aravis-0.5.8 conflicts with libaravis-0.5.8 (installs files into the same place).  Problematic file: /usr/local/share/doc/aravis/aravis-0.6/AUTHORS
*** Error code 70
Comment 7 rozhuk.im 2017-04-18 07:08:13 UTC
Are you sure?
pkg-plist does not contain aravis-0.6.pc and DOCs.
Comment 8 Kurt Jaeger freebsd_committer 2017-04-18 07:43:41 UTC
If you build it with poudriere, you'll see the problem.

Have you tried it with poudriere ?
Comment 9 Kurt Jaeger freebsd_committer 2017-04-18 07:44:14 UTC
Btw, the .pc file etc come from USES=pkgconfig. Without that, it does not build as it does not find the necessary libraries.
Comment 10 rozhuk.im 2017-04-18 10:21:02 UTC
No, I do not try poudriere.
aravis do not install *.pc and any DOCs files to system, may be in stage dir, this is poudriere problem.
Comment 11 rozhuk.im 2017-05-09 15:32:32 UTC
Created attachment 182444 [details]
aravis 0.5.8
Comment 12 rozhuk.im 2017-05-09 15:33:16 UTC
(In reply to Kurt Jaeger from comment #6)

Try now.
Comment 13 Kurt Jaeger freebsd_committer 2017-05-14 16:39:02 UTC
The latest diff is not a complete port, btw, it misses pkg-descr.
Comment 14 rozhuk.im 2017-05-17 22:37:25 UTC
Created attachment 182676 [details]
aravis 0.5.8

Fixed.
Comment 15 rozhuk.im 2017-05-20 00:20:34 UTC
Created attachment 182751 [details]
update to 0.5.9
Comment 16 rozhuk.im 2017-08-20 21:24:16 UTC
ping
Comment 17 Kurt Jaeger freebsd_committer 2017-08-22 20:40:04 UTC
Created attachment 185681 [details]
tested-version

I test-built the attached version of aravis and it fails with poudriere, see

http://people.freebsd.org/~pi/logs/multimedia__aravis-111-1503299544.txt

Any ideas ?
Comment 18 rozhuk.im 2018-03-05 14:46:18 UTC
Created attachment 191226 [details]
update to 0.5.11

Try now
Comment 19 Kurt Jaeger freebsd_committer 2018-05-11 20:18:30 UTC
can you please check the 0.5.11 attachment, it looks like it's damaged/incomplete, especially the pkg-plist ?
Comment 20 rozhuk.im 2018-05-12 06:46:59 UTC
Created attachment 193315 [details]
update to 0.5.12

Release 0.5.12
==============

  * gigevision: disable GVSP extended id mode
  * genicam: fix for signedness of register nodes
  * genicam: add support for optional ROUND parameter (Aleksandr)
  * add man page (Chiara)
Comment 21 Kurt Jaeger freebsd_committer 2018-05-12 10:04:51 UTC
Committed, thanks!
Comment 22 commit-hook freebsd_committer 2018-05-12 10:04:52 UTC
A commit references this bug:

Author: pi
Date: Sat May 12 10:04:39 UTC 2018
New revision: 469721
URL: https://svnweb.freebsd.org/changeset/ports/469721

Log:
  New port: multimedia/aravis

  Aravis is a glib/gobject based viewer for video acquisition using
  Genicam cameras.

  It currently implements the gigabit ethernet and USB3 protocols
  used by industrial cameras. It also provides a basic ethernet camera
  simulator and a simple video viewer.

  WWW: https://github.com/AravisProject/aravis

  PR:		215908
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/multimedia/Makefile
  head/multimedia/aravis/
  head/multimedia/aravis/Makefile
  head/multimedia/aravis/distinfo
  head/multimedia/aravis/files/
  head/multimedia/aravis/files/patch-Makefile.am
  head/multimedia/aravis/pkg-descr
  head/multimedia/aravis/pkg-plist
Comment 23 Kurt Jaeger freebsd_committer 2018-05-12 10:06:03 UTC
Please note: I had to provide a pkg-plist and I changed the sequence of statements in Makefile. So it was far from portlint-clean...